/*  Installation Jeti2 eCS / OS/2 Anpassung E-Soft (04) */

'@Echo Off'

/* REXXUTIL laden */

Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs


/* Initialisieren */

Signal On Failure Name FAILURE
Signal On Halt Name HALT
Signal On Syntax Name SYNTAX
Directory='.'
Call SysCls
Say ''
Say '  Installation Jeti2 Java Jabber Messenger'
Say ''


/* Sprach-Auswahl */

 
Language = 'DEUTSCH'



/* Check for the files */

Result = SysFileTree( 'jeti2inst.zip', 'Files', 'F' )
If Files.0 = 1 Then
  Do
  'unzip -o jeti2inst.zip > nul'
  End


Result = SysFileTree( 'Jeti2.zip', 'Files', 'F' )
If Files.0 = 0 Then
  Do
  Say '  Fehler: jeti2inst.zip oder jeti2.zip nicht gefunden !'
  SaY ''
  Say '  Bitte kopieren Sie die jeti2inst.zip oder die jeti2.zip in das Verzeichnis,'
  Say '  aus dem Sie die Install.Cmd gestartet haben (Normalerweise jeti2 Verzeichnis)' 
  Signal DONE
  End


/* Check for Update Update.esj */

Result = SysFileTree( 'Update.esj', 'Files', 'F' )
If Files.0 = 1 Then
  Do
  Say '  Vorhandene Jeti2 Version gefunden '
   Say ''  
   Say '  Wenn Sie Jeti2 updaten mchten, drcken Sie bitte Enter'
    Say ''
    Say ''
    Say '  Wenn Sie kein Update installieren mchten, tippen Sie bitte N und Enter'
    Say '  '

Pull updq

    If updq ="" Then Signal Update
    if updq ="N" then Say '  Sie haben das Update abgebrochen !'
    if updq ="N" then Say '' 
    if updq ="N" then signal Done  
   End


/* Get target directory */

    Say '  Bitte geben Sie den vollen Verzeichnisnamen ein, wohin Sie'
    Say '  Jeti2 installieren mchten' 
    Say ''
    Say '  oder drcken Sie Enter, um in das Standard-Verzeichnis'
    Say '  C:\Jeti2 zu installieren'
    Say ''
    Say '  Wenn Sie NICHT intallieren wollen, tippen Sie bitte N und Enter'
    Say '  '
Pull Directory
If Directory = "" Then Directory = 'C:\Jeti2'
Say directory
if Directory ="N" then Say '  Sie haben die installation abgebrochen !'
if Directory ="N" then Say ''
if Directory ="N" then signal Done

Say ''

/* Create the target directory if necessary. */

Result = SysFileTree( Directory, 'Dirs', 'D' )
If Dirs.0 = 0 Then
  Do
  Result = SysMkDir( Directory )
  if Result == 0 Then
    Do
    End
  Else
    Do
    Say '  FEHLER: Kann das Zielverzeichnis nicht anlegen.'
    Signal DONE
    End
  End
Say '';


/* Do the installation */
'cls'
Say ''
Say ''

Say '  Installiere Jeti2 in Verzeichnis ' Directory '...'

Call Syssleep 1
Say '  ...'

'unzip -o jeti2.zip -d' Directory '> nul' 

   Call Syssleep 5

   Say ''
   Say '  Erstelle Icon...'
   Call syssleep 2 

  Folder = '<WP_DESKTOP>'
   Type = 'WPProgram'
   Title = 'Jeti2 Messenger'
   Parms = 'PROGTYPE=PM;EXENAME='Directory'\jeti_Java_Standard.cmd;STARTUPDIR='Directory';OBJECTID=<Jeti2_Prog>;MINIMIZED=YES;'
   Result = SysCreateObject( Type, Title, Folder, Parms, 'Replace' )
   
   If Result = 1 Then
      Say '  Icon erstellt!'
   Else
      Say '  Fehler : Das Icon wurde nicht erstellt!'

call Lineout Directory'\Update.esj','E-Soft Jeti2 Update Check !!! nicht lschen !!! '  
         call Lineout Directory'\Update.esj'

Say ''

Say '  Installation beendet'
Say ''
Say '  Bitte lesen Sie die Informationen im Jeti-OS2-eCS.txt'
Say '  Informationen und Updates finden Sie unter http://www.ehlertronic.de'
Say '  ...' 
      Call Syssleep 8
Say ''
Say '  Das Programm befindet sich jetzt auf Ihrer Arbeitsoberflche'
Say '  Evtl. mssen Sie noch die, Ihrer Java Version entprechende,'
Say '  Jetistart.cmd ndern'
Say ''
Say '  Viel Vergngen mit diesem Produkt'

       'del jeti2.zip > nul'     

Signal DONE


Update:

Say '  Update von Jeti2'
call syssleep 1
Say '  ...'

'unzip -o jeti2.zip -x preferences.xml profiles.xml Jeti_Java141_Start.cmd Jeti_Java142_Start.cmd jeti_Java_Standard.cmd> nul'

Call syssleep 5
Say ''
Say '  Update von Jeti2 erfolgt ....... '
Say ''

'del plugins.xml > nul'
'del jeti2.zip > nul'

Signal Done



FAILURE:
Say 'REXX failure.'
Signal DONE

HALT:
Say 'REXX halt.'
Signal DONE

SYNTAX:
Say 'REXX syntax error.'
Signal DONE

DONE:
Say ''
say '  Bitte drcken Sie Enter'
pull 



 Start 'e.exe' Directory'\Jeti-OS2-eCS.txt' 


Exit
